(function () {
	'use strict';

	angular
		.module('ngApp')
		.controller('contentCtrl', contentController);

	contentController.$inject = ['$scope', '$http', '$sce'];
	function contentController($scope, $http, $sce) {
		$scope.image = '';
		$scope.loading = false;
		// Wait until the sl var is init
		$scope.$watch('sl', function () {
			if (typeof $scope.sl != 'undefined') {
				$scope.content = $sce.trustAsHtml(localStorage.getItem($scope.hash));
				$scope.fetchContent();
			}
		});

		$scope.fetchContent = function () {
			if (isOnline()) {
				if ($scope.content == null)
					$scope.loading = true;
				$http({ method: 'GET', noLoading: true, url: url + '/api/v1/widget/route/content/getContent/' + $scope.sl })
					.success(function (data) {
						if (data) {
							$scope.image = data.image;
							$scope.content = $sce.trustAsHtml(data.content);
							localStorage.setItem($scope.hash, data.content);
						}
						$scope.loading = false;
					})
					.error(function () {
						checkYourInternet();
						$scope.loading = false;
					});
			} else {
				checkYourInternet();
			}
		};
	}
})();
